Get a channel account by id
curl --request GET \
--url https://api.hubapi.com/conversations/v3/custom-channels/{channelId}/channel-accounts/{channelAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/conversations/v3/custom-channels/{channelId}/channel-accounts/{channelAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/conversations/v3/custom-channels/{channelId}/channel-accounts/{channelAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"archived": true,
"authorized": true,
"channelId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"inboxId": "<string>",
"name": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"deliveryIdentifier": {
"value": "<string>"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Channels
Get a channel account by id
Retrieve the details for a specific channel account. This contains all the metadata about your channel account, including its channel, associated inbox id, and delivery identifier information.
GET
/
conversations
/
v3
/
custom-channels
/
{channelId}
/
channel-accounts
/
{channelAccountId}
Get a channel account by id
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Whether to return only results that have been archived.
Last modified on March 30, 2026
Was this page helpful?
⌘I